import ./macros/give_all_recipes.mcm
import ./macros/nametag_sword_hit.mcm

function load{
    scoreboard objectives add wasd_data_packs dummy
    scoreboard players set wasd_sword wasd_data_packs 1

    scoreboard objectives add wasd.mob_health minecraft.custom:minecraft.damage_dealt
    scoreboard objectives add wasd.fly minecraft.custom:minecraft.aviate_one_cm
    scoreboard objectives add wasd.sword_frame minecraft.used:minecraft.item_frame
    scoreboard objectives add wasd.sword_type dummy
    scoreboard objectives add wasd.demon_timer dummy
    scoreboard objectives add wasd.copper_time dummy

    scoreboard objectives add w.sword_settings dummy
    scoreboard objectives add w.tnt_settings dummy

    #enable crafter
    scoreboard objectives add wasd.lib_setting dummy
    scoreboard players set wasd.crafter wasd.lib_setting 1

    schedule function wasd.sword:outdated_lib 1t
    function wasd.lib:on_load/text
    function wasd.sword:config
    say loaded
}


function item_recipes{
    give_all_recipes
}

function outdated_lib{
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a [""]
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a {"text":"The required Library pack is missing or out of date.","color":"dark_red"}
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a [""]
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a {"text":"Install the latest Library version. [Click]","color":"dark_green","clickEvent":{"action":"open_url","value":"http://wasdbuildteam.website/data-packs/wasd-libraries/"}}
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a [""]
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a [{"text":"Packs by ","color":"gray"},{"text":"The WASD Build Team","color":"dark_red","clickEvent":{"action":"open_url","value":"https://www.youtube.com/channel/UCzulxVWHmcJHg7Wkux_PkeQ"},"hoverEvent":{"action":"show_text","value":"YouTube"}}]
    execute unless score version wasd.lib_setting matches 64.. run tellraw @a [{"text":"[Datapacks] ","color":"dark_green","clickEvent":{"action":"open_url","value":"http://wasdbuildteam.website/Data-Packs/"},"hoverEvent":{"action":"show_text","value":"WASD Website"}},{"text":"[Patreon] ","color":"gold","clickEvent":{"action":"open_url","value":"https://www.patreon.com/WASD_Build_Team"},"hoverEvent":{"action":"show_text","value":"Patreon"}},{"text":"[Discord]","color":"dark_aqua","clickEvent":{"action":"open_url","value":"https://discordapp.com/invite/yqk4VfA"},"hoverEvent":{"action":"show_text","value":"Discord"}}]
}
function tick{
    #rework this
    execute as @e[tag=wasd.slime_launched_sword] run block{
            execute as @s[tag=wasd.slime_wait_one_tick] run block{
                tag @s remove wasd.slime_wait_one_tick
                tag @s remove wasd.slime_launched_sword
                effect clear @s minecraft:levitation
            }
        tag @s[tag=wasd.slime_launched_sword] add wasd.slime_wait_one_tick
        }
    execute as @a at @s run function wasd.sword:as_players


}


function as_players{

    execute as @s[tag=wasd.hotbar_slot_changed] run block{
        execute if predicate wasd.sword:holding_item/custom_sword store result score @s wasd.sword_type run data get entity @s SelectedItem.components."minecraft:custom_data"."wasd.sword_type"
        execute unless predicate wasd.sword:holding_item/custom_sword run scoreboard players set @s wasd.sword_type 0
    }
    execute if score wasd.global_1 wasd.timer matches 1 as @s[scores={wasd.sword_type=1..}] run function wasd.sword:ticking_swords
    execute as @s[tag=wasd.is_demon_possessed] run function wasd.sword:swords/demon_possessed
}
function ticking_swords{
    execute as @s[scores={wasd.sword_type=52}] run function wasd.sword:swords/wither
    execute as @s[scores={wasd.sword_type=56}] if block ~ ~ ~ water run function wasd.sword:swords/dolphin
    execute as @s[scores={wasd.sword_type=65}] run function wasd.sword:swords/turtle
    execute as @s[scores={wasd.sword_type=68}] if block ~ ~ ~ water run function wasd.sword:swords/coral
    execute as @s[scores={wasd.sword_type=80..82}] run function wasd.sword:swords/copper_tick


}
dir give{
function wooden_box{
}
function stone_box{
}
function golden_box{
}
function iron_box{
}
function iron2_box{
}
function diamond_box{
}
function netherite_box{
}
function other_box{
}
function stained_glass_box{
}


function dev{
    #new swords
    #summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:netherite_sword",Count:1b,tag:{display:{Name:'{"text":"Wither Sword","italic":false}', Lore:['{"text":"Makes you immune to potions effects.","color":"blue","italic":false}']},CustomModelData:6371004,wasd_held_sword:1b,wasd_sword:1b,wasd.sword_type:52b,AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:8,Operation:0,UUID:[I; -192596, -61963, -161679, -10288428],Slot:"mainhand"},{AttributeName:"generic.attack_speed",Name:"generic.attack_speed",Amount:-2.5,Operation:0,UUID:[I; -192596, -61963, -161679, -10288428],Slot:"mainhand"}]}}}
    #summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:iron_sword",Count:1b,tag:{display:{Name:'{"text":"Crying Obsidian Sword","italic":false}', Lore:['{"text":"Makes mobs sometimes drop ghast tears.","color":"blue","italic":false}']},CustomModelData:6370014,wasd_sword:1b,wasd.sword_type:54b}}}
    #summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:stone_sword",Count:1b,tag:{display:{Name:'{"text":"Granite Sword","italic":false}', Lore:['{"text":"Don't take it for Granite.","color":"blue","italic":false}']},CustomModelData:6370018,wasd_sword:1b,wasd.sword_type:98b}}}
    #summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:stone_sword",Count:1b,tag:{display:{Name:'{"text":"Andesite Sword","italic":false}', Lore:['{"text":"Ande-sight to behold.","color":"blue","italic":false}']},CustomModelData:6370019,wasd_sword:1b,wasd.sword_type:99b}}}


    give @p stone_sword[custom_name='{"translate":"wasd.sword.bed","italic":false}',lore=['{"translate":"wasd.sword.bed.lore","color":"blue","italic":false}'],custom_model_data=6370020] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.xp_bottle","italic":false}',lore=['{"translate":"wasd.sword.xp_bottle.lore","color":"blue","italic":false}'],custom_model_data=6370021] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.calcite","italic":false}',lore=['{"translate":"wasd.sword.calcite.lore","color":"blue","italic":false}'],custom_model_data=6370022] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.coral_fan","italic":false}',lore=['{"translate":"wasd.sword.coral_fan.lore","color":"blue","italic":false}'],custom_model_data=6370023] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.furnace","italic":false}',lore=['{"translate":"wasd.sword.furnace.lore","color":"blue","italic":false}'],custom_model_data=6370024] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.door","italic":false}',lore=['{"translate":"wasd.sword.door.lore","color":"blue","italic":false}'],custom_model_data=6370025] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.blackstone","italic":false}',lore=['{"translate":"wasd.sword.blackstone.lore","color":"blue","italic":false}'],custom_model_data=6370026] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.mud","italic":false}',lore=['{"translate":"wasd.sword.mud.lore","color":"blue","italic":false}'],custom_model_data=6370027] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.packed_mud","italic":false}',lore=['{"translate":"wasd.sword.packed_mud.lore","color":"blue","italic":false}'],custom_model_data=6370028] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.basalt","italic":false}',lore=['{"translate":"wasd.sword.basalt.lore","color":"blue","italic":false}'],custom_model_data=6370029] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.gilded_blackstone","italic":false}',lore=['{"translate":"wasd.sword.gilded_blackstone.lore","color":"blue","italic":false}'],custom_model_data=6370030] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.terracotta","italic":false}',lore=['{"translate":"wasd.sword.terracotta.lore","color":"blue","italic":false}'],custom_model_data=6370031] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.tall_grass","italic":false}',lore=['{"translate":"wasd.sword.tall_grass.lore","color":"blue","italic":false}'],custom_model_data=6370032] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.podzol","italic":false}',lore=['{"translate":"wasd.sword.podzol.lore","color":"blue","italic":false}'],custom_model_data=6370033] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.gravel","italic":false}',lore=['{"translate":"wasd.sword.gravel.lore","color":"blue","italic":false}'],custom_model_data=6370034] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.blue_ice","italic":false}',lore=['{"translate":"wasd.sword.blue_ice.lore","color":"blue","italic":false}'],custom_model_data=6370035] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.soul_soil","italic":false}',lore=['{"translate":"wasd.sword.soul_soil.lore","color":"blue","italic":false}'],custom_model_data=6370036] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.bone_block","italic":false}',lore=['{"translate":"wasd.sword.bone_block.lore","color":"blue","italic":false}'],custom_model_data=6370037] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.brown_mushroom","italic":false}',lore=['{"translate":"wasd.sword.brown_mushroom.lore","color":"blue","italic":false}'],custom_model_data=6370038] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.red_mushroom","italic":false}',lore=['{"translate":"wasd.sword.red_mushroom.lore","color":"blue","italic":false}'],custom_model_data=6370039] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.warped_fungus","italic":false}',lore=['{"translate":"wasd.sword.warped_fungus.lore","color":"blue","italic":false}'],custom_model_data=6370040] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.crimson_fungus","italic":false}',lore=['{"translate":"wasd.sword.crimson_fungus.lore","color":"blue","italic":false}'],custom_model_data=6370041] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.fern","italic":false}',lore=['{"translate":"wasd.sword.fern.lore","color":"blue","italic":false}'],custom_model_data=6370042] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.dead_bush","italic":false}',lore=['{"translate":"wasd.sword.dead_bush.lore","color":"blue","italic":false}'],custom_model_data=6370043] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.torchflower","italic":false}',lore=['{"translate":"wasd.sword.torchflower.lore","color":"blue","italic":false}'],custom_model_data=6370044] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.wither_rose","italic":false}',lore=['{"translate":"wasd.sword.wither_rose.lore","color":"blue","italic":false}'],custom_model_data=6370045] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.spore_blossom","italic":false}',lore=['{"translate":"wasd.sword.spore_blossom.lore","color":"blue","italic":false}'],custom_model_data=6370046] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.sweet_berries","italic":false}',lore=['{"translate":"wasd.sword.sweet_berries.lore","color":"blue","italic":false}'],custom_model_data=6370047] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.nether_wart","italic":false}',lore=['{"translate":"wasd.sword.nether_wart.lore","color":"blue","italic":false}'],custom_model_data=6370048] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.lily_pad","italic":false}',lore=['{"translate":"wasd.sword.lily_pad.lore","color":"blue","italic":false}'],custom_model_data=6370049] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.kelp","italic":false}',lore=['{"translate":"wasd.sword.kelp.lore","color":"blue","italic":false}'],custom_model_data=6370050] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.dried_kelp","italic":false}',lore=['{"translate":"wasd.sword.dried_kelp.lore","color":"blue","italic":false}'],custom_model_data=6370051] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.bee_nest","italic":false}',lore=['{"translate":"wasd.sword.bee_nest.lore","color":"blue","italic":false}'],custom_model_data=6370052] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.honey_comb","italic":false}',lore=['{"translate":"wasd.sword.honey_comb.lore","color":"blue","italic":false}'],custom_model_data=6370053] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.froglight","italic":false}',lore=['{"translate":"wasd.sword.froglight.lore","color":"blue","italic":false}'],custom_model_data=6370054] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.froglight2","italic":false}',lore=['{"translate":"wasd.sword.froglight2.lore","color":"blue","italic":false}'],custom_model_data=6370055] 1
    
    
}

function dev2{
    give @p stone_sword[custom_name='{"translate":"wasd.sword.froglight3","italic":false}',lore=['{"translate":"wasd.sword.froglight3.lore","color":"blue","italic":false}'],custom_model_data=6370056] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.sculk","italic":false}',lore=['{"translate":"wasd.sword.sculk.lore","color":"blue","italic":false}'],custom_model_data=6370057] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.sculk_catalyst","italic":false}',lore=['{"translate":"wasd.sword.sculk_catalyst.lore","color":"blue","italic":false}'],custom_model_data=6370058] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.sculk_sensor","italic":false}',lore=['{"translate":"wasd.sword.sculk_sensor.lore","color":"blue","italic":false}'],custom_model_data=6370059] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.echo_shard","italic":false}',lore=['{"translate":"wasd.sword.echo_shard.lore","color":"blue","italic":false}'],custom_model_data=6370060] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.end_rod","italic":false}',lore=['{"translate":"wasd.sword.end_rod.lore","color":"blue","italic":false}'],custom_model_data=6370061] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.decorated_pot","italic":false}',lore=['{"translate":"wasd.sword.decorated_pot.lore","color":"blue","italic":false}'],custom_model_data=6370062] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.armor_stand","italic":false}',lore=['{"translate":"wasd.sword.armor_stand.lore","color":"blue","italic":false}'],custom_model_data=6370063] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.item_frame","italic":false}',lore=['{"translate":"wasd.sword.item_frame.lore","color":"blue","italic":false}'],custom_model_data=6370064] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.painting","italic":false}',lore=['{"translate":"wasd.sword.painting.lore","color":"blue","italic":false}'],custom_model_data=6370065] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.lectern","italic":false}',lore=['{"translate":"wasd.sword.lectern.lore","color":"blue","italic":false}'],custom_model_data=6370066] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.minecart","italic":false}',lore=['{"translate":"wasd.sword.minecart.lore","color":"blue","italic":false}'],custom_model_data=6370067] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.axe","italic":false}',lore=['{"translate":"wasd.sword.axe.lore","color":"blue","italic":false}'],custom_model_data=6370068] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.pickaxe","italic":false}',lore=['{"translate":"wasd.sword.pickaxe.lore","color":"blue","italic":false}'],custom_model_data=6370069] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.shovel","italic":false}',lore=['{"translate":"wasd.sword.shovel.lore","color":"blue","italic":false}'],custom_model_data=6370070] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.hoe","italic":false}',lore=['{"translate":"wasd.sword.hoe.lore","color":"blue","italic":false}'],custom_model_data=6370071] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.bucket","italic":false}',lore=['{"translate":"wasd.sword.bucket.lore","color":"blue","italic":false}'],custom_model_data=6370072] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.water_bucket","italic":false}',lore=['{"translate":"wasd.sword.water_bucket.lore","color":"blue","italic":false}'],custom_model_data=6370073] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.lava_bucket","italic":false}',lore=['{"translate":"wasd.sword.lava_bucket.lore","color":"blue","italic":false}'],custom_model_data=6370074] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.fishing_rod","italic":false}',lore=['{"translate":"wasd.sword.fishing_rod.lore","color":"blue","italic":false}'],custom_model_data=6370075] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.flint_and_steel","italic":false}',lore=['{"translate":"wasd.sword.flint_and_steel.lore","color":"blue","italic":false}'],custom_model_data=6370076] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.shear","italic":false}',lore=['{"translate":"wasd.sword.shear.lore","color":"blue","italic":false}'],custom_model_data=6370077] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.brush","italic":false}',lore=['{"translate":"wasd.sword.brush.lore","color":"blue","italic":false}'],custom_model_data=6370078] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.spyglass","italic":false}',lore=['{"translate":"wasd.sword.spyglass.lore","color":"blue","italic":false}'],custom_model_data=6370079] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.compass","italic":false}',lore=['{"translate":"wasd.sword.compass.lore","color":"blue","italic":false}'],custom_model_data=6370080] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.clock","italic":false}',lore=['{"translate":"wasd.sword.clock.lore","color":"blue","italic":false}'],custom_model_data=6370081] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.boat","italic":false}',lore=['{"translate":"wasd.sword.boat.lore","color":"blue","italic":false}'],custom_model_data=6370082] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.goat_horn","italic":false}',lore=['{"translate":"wasd.sword.goat_horn.lore","color":"blue","italic":false}'],custom_model_data=6370083] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.music_disc","italic":false}',lore=['{"translate":"wasd.sword.music_disc.lore","color":"blue","italic":false}'],custom_model_data=6370084] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.bow","italic":false}',lore=['{"translate":"wasd.sword.bow.lore","color":"blue","italic":false}'],custom_model_data=6370085] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.crossbow","italic":false}',lore=['{"translate":"wasd.sword.crossbow.lore","color":"blue","italic":false}'],custom_model_data=6370086] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.arrow","italic":false}',lore=['{"translate":"wasd.sword.arrow.lore","color":"blue","italic":false}'],custom_model_data=6370087] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.poisonous_potato","italic":false}',lore=['{"translate":"wasd.sword.poisonous_potato.lore","color":"blue","italic":false}'],custom_model_data=6370088] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.beetroot","italic":false}',lore=['{"translate":"wasd.sword.beetroot.lore","color":"blue","italic":false}'],custom_model_data=6370089] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.cookie","italic":false}',lore=['{"translate":"wasd.sword.cookie.lore","color":"blue","italic":false}'],custom_model_data=6370090] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.cake","italic":false}',lore=['{"translate":"wasd.sword.cake.lore","color":"blue","italic":false}'],custom_model_data=6370091] 1

}

function dev3{
    give @p stone_sword[custom_name='{"translate":"wasd.sword.pumpkin_pie","italic":false}',lore=['{"translate":"wasd.sword.pumpkin_pie.lore","color":"blue","italic":false}'],custom_model_data=6370092] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.flint","italic":false}',lore=['{"translate":"wasd.sword.flint.lore","color":"blue","italic":false}'],custom_model_data=6370093] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.feather","italic":false}',lore=['{"translate":"wasd.sword.feather.lore","color":"blue","italic":false}'],custom_model_data=6370094] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.leather","italic":false}',lore=['{"translate":"wasd.sword.leather.lore","color":"blue","italic":false}'],custom_model_data=6370095] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.ink","italic":false}',lore=['{"translate":"wasd.sword.ink.lore","color":"blue","italic":false}'],custom_model_data=6370096] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.glow_ink","italic":false}',lore=['{"translate":"wasd.sword.glow_ink.lore","color":"blue","italic":false}'],custom_model_data=6370097] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.dragons_breath","italic":false}',lore=['{"translate":"wasd.sword.dragons_breath.lore","color":"blue","italic":false}'],custom_model_data=6370098] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.sugar","italic":false}',lore=['{"translate":"wasd.sword.sugar.lore","color":"blue","italic":false}'],custom_model_data=6370099] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.ghast_tear","italic":false}',lore=['{"translate":"wasd.sword.ghast_tear.lore","color":"blue","italic":false}'],custom_model_data=6370101] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.phantom_membrane","italic":false}',lore=['{"translate":"wasd.sword.phantom_membrane.lore","color":"blue","italic":false}'],custom_model_data=6370102] 1
    give @p stone_sword[custom_name='{"translate":"wasd.sword.sherd","italic":false}',lore=['{"translate":"wasd.sword.sherd.lore","color":"blue","italic":false}'],custom_model_data=6370103] 1

}

function stained_glass{
    give @p netherite_sword[max_damage=32,custom_model_data=6370004,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370005,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.black_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370006,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.blue_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370007,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.brown_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370008,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.cyan_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370009,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.gray_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370010,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.green_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370011,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.light_blue_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370012,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.light_gray_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370013,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.lime_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370014,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.magenta_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370015,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.orange_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370016,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.pink_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370017,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.purple_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370018,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.red_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370019,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.white_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370020,custom_data={wasd_sword:1b,wasd.sword_type:28},item_name='{"translate":"wasd.sword.yellow_stained_glass","italic":false}',lore=['{"translate":"wasd.sword.glass.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
}

function fragile{
    give @p netherite_sword[max_damage=32,custom_model_data=6370001,custom_data={wasd_sword:1b,wasd.sword_type:29},item_name='{"translate":"wasd.sword.tnt","italic":false}',lore=['{"translate":"wasd.sword.tnt.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370002,custom_data={wasd_sword:1b,wasd.sword_type:30},item_name='{"translate":"wasd.sword.paper","italic":false}',lore=['{"translate":"wasd.sword.paper.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_speed",name:"generic.attack_speed",amount:10,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370021,custom_data={wasd_sword:1b,wasd.sword_type:69},item_name='{"translate":"wasd.sword.dripstone","italic":false}',lore=['{"translate":"wasd.sword.dripstone.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=3,custom_model_data=6370022,custom_data={wasd_sword:1b,wasd.sword_type:70},repair_cost=9999,item_name='{"translate":"wasd.sword.glass_pain","italic":false}',lore=['{"translate":"wasd.sword.glass_pain.lore","color":"blue","italic":false}','{"translate":"wasd.sword.glass_pain.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:12,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
}

function weak{

    give @p netherite_sword[max_damage=59,custom_model_data=6370024,custom_data={wasd_sword:1b,wasd.sword_type:1},item_name='{"translate":"wasd.sword.sponge","italic":false}',lore=['{"translate":"wasd.sword.sponge.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370025,custom_data={wasd_sword:1b,wasd.sword_type:2},item_name='{"translate":"wasd.sword.ice","italic":false}',lore=['{"translate":"wasd.sword.ice.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370027,custom_data={wasd_sword:1b,wasd.sword_type:3},item_name='{"translate":"wasd.sword.obsidian","italic":false}',lore=['{"translate":"wasd.sword.obsidian.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:10,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370028,custom_data={wasd_sword:1b,wasd.sword_type:4},item_name='{"translate":"wasd.sword.slime","italic":false}',lore=['{"translate":"wasd.sword.slime.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370029,custom_data={wasd_sword:1b,wasd.sword_type:7},item_name='{"translate":"wasd.sword.stick","italic":false}',lore=['{"translate":"wasd.sword.stick.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370031,custom_data={wasd_sword:1b,wasd.sword_type:5},item_name='{"translate":"wasd.sword.wet_sponge","italic":false}',lore=['{"translate":"wasd.sword.wet_sponge.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370032,custom_data={wasd_sword:1b,wasd.sword_type:6},item_name='{"translate":"wasd.sword.dirt","italic":false}',lore=['{"translate":"wasd.sword.dirt.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370033,custom_data={wasd_sword:1b,wasd.sword_type:100},item_name='{"translate":"wasd.sword.sand","italic":false}',lore=['{"translate":"wasd.sword.sand.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370034,custom_data={wasd_sword:1b,wasd.sword_type:101},item_name='{"translate":"wasd.sword.snow","italic":false}',lore=['{"translate":"wasd.sword.snow.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370035,custom_data={wasd_sword:1b,wasd.sword_type:102},item_name='{"translate":"wasd.sword.mycelium","italic":false}',lore=['{"translate":"wasd.sword.mycelium.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370036,custom_data={wasd_sword:1b,wasd.sword_type:103},item_name='{"translate":"wasd.sword.sapling","italic":false}',lore=['{"translate":"wasd.sword.sapling.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370037,custom_data={wasd_sword:1b,wasd.sword_type:104},item_name='{"translate":"wasd.sword.bamboo","italic":false}',lore=['{"translate":"wasd.sword.bamboo.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370038,custom_data={wasd_sword:1b,wasd.sword_type:105},item_name='{"translate":"wasd.sword.sign","italic":false}',lore=['{"translate":"wasd.sword.sign.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370039,custom_data={wasd_sword:1b,wasd.sword_type:106},item_name='{"translate":"wasd.sword.moss","italic":false}',lore=['{"translate":"wasd.sword.moss.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370040,custom_data={wasd_sword:1b,wasd.sword_type:107},item_name='{"translate":"wasd.sword.flower_pot","italic":false}',lore=['{"translate":"wasd.sword.flower_pot.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370041,custom_data={wasd_sword:1b,wasd.sword_type:108},item_name='{"translate":"wasd.sword.glow_berry","italic":false}',lore=['{"translate":"wasd.sword.glow_berry.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=59,custom_model_data=6370042,custom_data={wasd_sword:1b,wasd.sword_type:109},item_name='{"translate":"wasd.sword.carrot","italic":false}',lore=['{"translate":"wasd.sword.carrot.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
}

function normal{
    give @p netherite_sword[max_damage=131,custom_model_data=6370044,custom_data={wasd_sword:1b,wasd.sword_type:9},item_name='{"translate":"wasd.sword.nametag","italic":false}',lore=['{"translate":"wasd.sword.nametag.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370045,custom_data={wasd_sword:1b,wasd.sword_type:10},item_name='{"translate":"wasd.sword.notch","italic":false}',lore=['{"translate":"wasd.sword.notch.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=32,custom_model_data=6370047,custom_data={wasd_sword:1b,wasd.sword_type:11},item_name='{"translate":"wasd.sword.egg","italic":false}',lore=['{"translate":"wasd.sword.egg.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370048,custom_data={wasd_sword:1b,wasd.sword_type:66},item_name='{"translate":"wasd.sword.cactus","italic":false}',lore=['{"translate":"wasd.sword.cactus.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:8,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370049,custom_data={wasd_sword:1b,wasd.sword_type:67},item_name='{"translate":"wasd.sword.coal","italic":false}',lore=['{"translate":"wasd.sword.coal.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370050,custom_data={wasd_sword:1b,wasd.sword_type:68},item_name='{"translate":"wasd.sword.coral","italic":false}',lore=['{"translate":"wasd.sword.coral.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370051,custom_data={wasd_sword:1b,wasd.sword_type:89},item_name='{"translate":"wasd.sword.bookshelf","italic":false}',lore=['{"translate":"wasd.sword.bookshelf.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370052,custom_data={wasd_sword:1b,wasd.sword_type:90},item_name='{"translate":"wasd.sword.netherrack","italic":false}',lore=['{"translate":"wasd.sword.netherrack.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370053,custom_data={wasd_sword:1b,wasd.sword_type:91},item_name='{"translate":"wasd.sword.pumpkin","italic":false}',lore=['{"translate":"wasd.sword.pumpkin.lore","color":"blue","italic":false}','{"translate":"wasd.sword.pumpkin.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370054,custom_data={wasd_sword:1b,wasd.sword_type:92},item_name='{"translate":"wasd.sword.melon_slicer","italic":false}',lore=['{"translate":"wasd.sword.melon_slicer.lore","color":"blue","italic":false}','{"translate":"wasd.sword.melon_slicer.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370055,custom_data={wasd_sword:1b,wasd.sword_type:93},item_name='{"translate":"wasd.sword.hay_bale","italic":false}',lore=['{"translate":"wasd.sword.hay_bale.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370056,custom_data={wasd_sword:1b,wasd.sword_type:94},item_name='{"translate":"wasd.sword.sea_pickle","italic":false}',lore=['{"translate":"wasd.sword.sea_pickle.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370057,custom_data={wasd_sword:1b,wasd.sword_type:95},item_name='{"translate":"wasd.sword.brick","italic":false}',lore=['{"translate":"wasd.sword.brick.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370058,custom_data={wasd_sword:1b,wasd.sword_type:96},item_name='{"translate":"wasd.sword.potato","italic":false}',lore=['{"translate":"wasd.sword.potato.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=131,custom_model_data=6370059,custom_data={wasd_sword:1b,wasd.sword_type:97},item_name='{"translate":"wasd.sword.diorite","italic":false}',lore=['{"translate":"wasd.sword.diorite.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1

}

function strong{
    #iron swords

    give @p netherite_sword[max_damage=250,custom_model_data=6370062,custom_data={wasd_sword:1b,wasd.sword_type:12},item_name='{"translate":"wasd.sword.chorus_fruit","italic":false}',lore=['{"translate":"wasd.sword.chorus_fruit.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370063,custom_data={wasd_sword:1b,wasd.sword_type:13},item_name='{"translate":"wasd.sword.soul_sand","italic":false}',lore=['{"translate":"wasd.sword.soul_sand.lore","color":"blue","italic":false}','{"translate":"wasd.sword.soul_sand.lore2","color":"blue","italic":false}'],enchantment_glint_override=true,attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:13,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370064,custom_data={wasd_sword:1b,wasd.sword_type:14},item_name='{"translate":"wasd.sword.firework","italic":false}',lore=['{"translate":"wasd.sword.firework.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370065,custom_data={wasd_sword:1b,wasd.sword_type:15},item_name='{"translate":"wasd.sword.swordfish","italic":false}',lore=['{"translate":"wasd.sword.swordfish.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370066,custom_data={wasd_sword:1b,wasd.sword_type:16},item_name='{"translate":"wasd.sword.glowstone","italic":false}',lore=['{"translate":"wasd.sword.glowstone.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5.5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370067,custom_data={wasd_sword:1b,wasd.sword_type:17},item_name='{"translate":"wasd.sword.honey","italic":false}',lore=['{"translate":"wasd.sword.honey.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370068,custom_data={wasd_sword:1b,wasd.sword_type:18},item_name='{"translate":"wasd.sword.magma_block","italic":false}',lore=['{"translate":"wasd.sword.magma_block.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370069,custom_data={wasd_sword:1b,wasd.sword_type:19},item_name='{"translate":"wasd.sword.piston","italic":false}',lore=['{"translate":"wasd.sword.piston.lore","color":"blue","italic":false}'],enchantments={levels:{"minecraft:knockback":3}},enchantment_glint_override=false,attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"player.entity_interaction_range",name:"player.entity_interaction_range",amount:1.25,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370070,custom_data={wasd_sword:1b,wasd.sword_type:20},item_name='{"translate":"wasd.sword.sticky_piston","italic":false}',lore=['{"translate":"wasd.sword.sticky_piston.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"player.entity_interaction_range",name:"player.entity_interaction_range",amount:1.25,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370071,custom_data={wasd_sword:1b,wasd.sword_type:21},item_name='{"translate":"wasd.sword.emerald","italic":false}',lore=['{"translate":"wasd.sword.emerald.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370072,custom_data={wasd_sword:1b,wasd.sword_type:22},item_name='{"translate":"wasd.sword.quartz","italic":false}',lore=['{"translate":"wasd.sword.quartz.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:0,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370073,custom_data={wasd_sword:1b,wasd.sword_type:23},item_name='{"translate":"wasd.sword.prismarine","italic":false}',lore=['{"translate":"wasd.sword.prismarine.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:0,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370074,custom_data={wasd_sword:1b,wasd.sword_type:24},item_name='{"translate":"wasd.sword.shulker","italic":false}',lore=['{"translate":"wasd.sword.shulker.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370078,custom_data={wasd_sword:1b,wasd.sword_type:27},item_name='{"translate":"wasd.sword.lapis","italic":false}',lore=['{"translate":"wasd.sword.lapis.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370079,custom_data={wasd_sword:1b,wasd.sword_type:55},item_name='{"translate":"wasd.sword.clay_more","italic":false}',lore=['{"translate":"wasd.sword.clay_more.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:9,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-3.5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370080,custom_data={wasd_sword:1b,wasd.sword_type:56},item_name='{"translate":"wasd.sword.dolphin","italic":false}',lore=['{"translate":"wasd.sword.dolphin.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370081,custom_data={wasd_sword:1b,wasd.sword_type:57},item_name='{"translate":"wasd.sword.redstone","italic":false}',lore=['{"translate":"wasd.sword.redstone.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370084,custom_data={wasd_sword:1b,wasd.sword_type:75},item_name='{"translate":"wasd.sword.end_stone","italic":false}',lore=['{"translate":"wasd.sword.end_stone.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370085,custom_data={wasd_sword:1b,wasd.sword_type:76},item_name='{"translate":"wasd.sword.cobweb","italic":false}',lore=['{"translate":"wasd.sword.cobweb.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370086,custom_data={wasd_sword:1b,wasd.sword_type:77},item_name='{"translate":"wasd.sword.note_block","italic":false}',lore=['{"translate":"wasd.sword.note_block.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370087,custom_data={wasd_sword:1b,wasd.sword_type:78},item_name='{"translate":"wasd.sword.blaze_rod","italic":false}',lore=['{"translate":"wasd.sword.blaze_rod.lore","color":"blue","italic":false}'],enchantments={levels:{"minecraft:fire_aspect":3}},attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370088,custom_data={wasd_sword:1b,wasd.sword_type:79},item_name='{"translate":"wasd.sword.ender_eye","italic":false}',lore=['{"translate":"wasd.sword.ender_eye.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370089,custom_data={wasd_sword:1b,wasd.sword_type:80},item_name='{"translate":"wasd.sword.copper","italic":false}',lore=['{"translate":"wasd.sword.copper.lore","color":"blue","italic":false}','{"translate":"wasd.sword.copper.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370093,custom_data={wasd_sword:1b,wasd.sword_type:84},item_name='{"translate":"wasd.sword.amethyst","italic":false}',lore=['{"translate":"wasd.sword.amethyst.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370094,custom_data={wasd_sword:1b,wasd.sword_type:85},item_name='{"translate":"wasd.sword.deepslate","italic":false}',lore=['{"translate":"wasd.sword.deepslate.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370095,custom_data={wasd_sword:1b,wasd.sword_type:86},item_name='{"translate":"wasd.sword.golden_carrot","italic":false}',lore=['{"translate":"wasd.sword.golden_carrot.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370096,custom_data={wasd_sword:1b,wasd.sword_type:87},item_name='{"translate":"wasd.sword.chain","italic":false}',lore=['{"translate":"wasd.sword.chain.lore","color":"blue","italic":false}','{"translate":"wasd.sword.chain.lore2","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=250,custom_model_data=6370097,custom_data={wasd_sword:1b,wasd.sword_type:88},item_name='{"translate":"wasd.sword.bell","italic":false}',lore=['{"translate":"wasd.sword.bell.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
}


function strongest{
    give @p netherite_sword[max_damage=1561,custom_model_data=6370099,custom_data={wasd_sword:1b,wasd.sword_type:33},item_name='{"translate":"wasd.sword.end_crystal","italic":false}',lore=['{"translate":"wasd.sword.end_crystal.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=1561,custom_model_data=6370105,custom_data={wasd_sword:1b,wasd.sword_type:37},item_name='{"translate":"wasd.sword.nautilus","italic":false}',lore=['{"translate":"wasd.sword.nautilus.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=1561,custom_model_data=6370106,custom_data={wasd_sword:1b,wasd.sword_type:39},item_name='{"translate":"wasd.sword.wither_skeleton","italic":false}',lore=['{"translate":"wasd.sword.wither_skeleton.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:7,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=1561,custom_model_data=6370117,custom_data={wasd_sword:1b,wasd.sword_type:65},item_name='{"translate":"wasd.sword.turtle","italic":false}',lore=['{"translate":"wasd.sword.turtle.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=1561,custom_model_data=6370118,custom_data={wasd_sword:1b,wasd.sword_type:73},item_name='{"translate":"wasd.sword.anvil","italic":false}',lore=['{"translate":"wasd.sword.anvil.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:6,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=1561,custom_model_data=6370119,custom_data={wasd_sword:1b,wasd.sword_type:74},item_name='{"translate":"wasd.sword.conduit","italic":false}',lore=['{"translate":"wasd.sword.conduit.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:7,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p netherite_sword[max_damage=2031,custom_model_data=6370129,custom_data={wasd_sword:1b,wasd.sword_type:71},item_name='{"translate":"wasd.sword.beacon","italic":false}',lore=['{"translate":"wasd.sword.beacon.lore","color":"blue","italic":false}']] 1
    give @p netherite_sword[max_damage=2500,custom_model_data=6370130,custom_data={wasd_sword:1b,wasd.sword_type:72},item_name='{"translate":"wasd.sword.tuff","italic":false}',lore=['{"translate":"wasd.sword.tuff.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1

}

function other{
    give @p totem_of_undying[custom_model_data=6370001,custom_data={wasd_sword:1b,wasd.sword_type:48},item_name='{"translate":"wasd.sword.totem_of_undying","italic":false}',lore=['{"translate":"wasd.sword.totem_of_undying.lore","color":"blue","italic":false}'],enchantment_glint_override=true,attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:7,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p carrot_on_a_stick[custom_model_data=6370301,custom_data={wasd_sword:1b,wasd.sword_type:49},item_name='{"translate":"wasd.sword.ender_pearl","italic":false}',lore=['{"translate":"wasd.sword.ender_pearl.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:5,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1
    give @p carrot_on_a_stick[custom_model_data=6370303,custom_data={wasd_sword:1b,wasd.sword_type:51},item_name='{"translate":"wasd.sword.bread_stick","italic":false}',lore=['{"translate":"wasd.sword.bread_stick.lore","color":"blue","italic":false}'],attribute_modifiers=[{type:"generic.attack_damage",name:"generic.attack_damage",amount:3,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"},{type:"generic.attack_speed",name:"generic.attack_speed",amount:-2.4,operation:"add_value",uuid:[I;6370001,0,0,0],slot:"mainhand"}]] 1

}

}


function deal_damage{
    #replace with a predicate once you actually know how to get it to work
    execute if predicate wasd.sword:holding_item/custom_sword run function wasd.sword:determine_sword
    advancement revoke @s only wasd.sword:deal_damage
}


function determine_sword{
    tag @s add wasd.attacker
    #1-7
    execute as @s[scores={wasd.sword_type=1}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/sponge
    execute as @s[scores={wasd.sword_type=2}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/ice
    execute as @s[scores={wasd.sword_type=3}] run function wasd.sword:swords/obsidian
    execute as @s[scores={wasd.sword_type=4}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/slime
    execute as @s[scores={wasd.sword_type=5}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/wet_sponge
    execute as @s[scores={wasd.sword_type=6}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/dirt
    #8-11
    execute as @s[scores={wasd.sword_type=9}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/nametag/hit
    execute as @s[scores={wasd.sword_type=10}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs,distance=..10,nbt={HurtTime:10s},tag=!wasd.gave_apple] at @s run function wasd.sword:swords/notch
    execute as @s[scores={wasd.sword_type=11}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/egg
    #12-27
    execute as @s[scores={wasd.sword_type=12}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/chorus
    execute as @s[scores={wasd.sword_type=13}] run function wasd.sword:swords/cursed
    execute as @s[scores={wasd.sword_type=14}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s positioned ~ ~1 ~ run function wasd.abilities:firework_explosion
    execute as @s[scores={wasd.sword_type=15}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/fish
    execute as @s[scores={wasd.sword_type=16}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/glowstone
    execute as @s[scores={wasd.sword_type=17}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/honey
    execute as @s[scores={wasd.sword_type=18}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/magma
    execute as @s[scores={wasd.sword_type=19}] run playsound block.piston.extend player @a ~ ~ ~ 1
    execute as @s[scores={wasd.sword_type=20}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/sticky_piston
    execute as @s[scores={wasd.sword_type=21}] positioned ^ ^ ^3 as @e[type=#minecraft:raiders,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/emerald
    execute as @s[scores={wasd.sword_type=22}] positioned ^ ^ ^3 in minecraft:the_nether as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/quartz
    execute as @s[scores={wasd.sword_type=23}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s if block ~ ~ ~ #wasd.tags:water_blocks run function wasd.sword:swords/prismarine
    execute as @s[scores={wasd.sword_type=24}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/shulker
    #28-31
    execute as @s[scores={wasd.sword_type=28}] positioned ^ ^ ^3 run function wasd.sword:swords/glass
    execute as @s[scores={wasd.sword_type=29}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/tnt
    execute as @s[scores={wasd.sword_type=30}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/paper
    #32-44
    execute as @s[scores={wasd.sword_type=33}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/crystal
    execute as @s[scores={wasd.sword_type=37}] if block ~ ~ ~ #wasd.tags:water_blocks positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/nautilus
    execute as @s[scores={wasd.sword_type=39}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/wither_skeleton
    execute as @s[scores={wasd.sword_type=40}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/loot
    #45-46
    #52+
    execute as @s[scores={wasd.sword_type=52}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/wither
    execute as @s[scores={wasd.sword_type=54}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/crying_obsidian
    execute as @s[scores={wasd.sword_type=55}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/claymore
    execute as @s[scores={wasd.sword_type=56}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/dolphin
    execute as @s[scores={wasd.sword_type=57}] if block ~ ~ ~ minecraft:redstone_wire unless block ~ ~ ~ minecraft:redstone_wire[power=0] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/redstone
    execute as @s[scores={wasd.sword_type=65}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/turtle
    execute as @s[scores={wasd.sword_type=66}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/cactus
    execute as @s[scores={wasd.sword_type=66}] run damage @s 8 minecraft:cactus
    execute as @s[scores={wasd.sword_type=67}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/coal
    execute as @s[scores={wasd.sword_type=68}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/coral_hit

    #new dev
    execute as @s[scores={wasd.sword_type=69}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/dripstone
    execute as @s[scores={wasd.sword_type=70}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/glass_pain
    execute as @s[scores={wasd.sword_type=71}] run function wasd.sword:swords/beacon
    execute as @s[scores={wasd.sword_type=72}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/tuff
    execute as @s[scores={wasd.sword_type=73}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/anvil
    execute as @s[scores={wasd.sword_type=74}] positioned ^ ^ ^3 run function wasd.sword:swords/conduit
    execute as @s[scores={wasd.sword_type=75}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/end_stone
    execute as @s[scores={wasd.sword_type=76}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/cobweb
    execute as @s[scores={wasd.sword_type=77}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/note_block
    execute as @s[scores={wasd.sword_type=78}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/blaze_rod
    execute as @s[scores={wasd.sword_type=79}] run function wasd.sword:swords/ender_eye
    execute as @s[scores={wasd.sword_type=80}] run function wasd.sword:swords/copper1
    execute as @s[scores={wasd.sword_type=81}] run function wasd.sword:swords/copper2
    execute as @s[scores={wasd.sword_type=82}] run function wasd.sword:swords/copper3
    execute as @s[scores={wasd.sword_type=83}] run function wasd.sword:swords/copper4
    execute as @s[scores={wasd.sword_type=84}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/amethyst
    execute as @s[scores={wasd.sword_type=85}] run function wasd.sword:swords/deepslate
    execute as @s[scores={wasd.sword_type=86}] run function wasd.sword:swords/golden_carrot
    execute as @s[scores={wasd.sword_type=87}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/chain
    execute as @s[scores={wasd.sword_type=88}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/bell
    execute as @s[scores={wasd.sword_type=89}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/bookshelf
    execute as @s[scores={wasd.sword_type=90}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/netherrack
    execute as @s[scores={wasd.sword_type=91}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/pumpkin
    execute as @s[scores={wasd.sword_type=92}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/melon
    execute as @s[scores={wasd.sword_type=93}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/hay_bale
    execute as @s[scores={wasd.sword_type=94}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/sea_pickle
    execute as @s[scores={wasd.sword_type=95}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/brick
    execute as @s[scores={wasd.sword_type=96}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/potato
    execute as @s[scores={wasd.sword_type=97}] run function wasd.sword:swords/diorite
    execute as @s[scores={wasd.sword_type=98}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/granite
    execute as @s[scores={wasd.sword_type=99}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/andesite
    execute as @s[scores={wasd.sword_type=100}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/sand
    execute as @s[scores={wasd.sword_type=101}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/snow
    execute as @s[scores={wasd.sword_type=102}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/mycelium
    execute as @s[scores={wasd.sword_type=103}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/sapling
    execute as @s[scores={wasd.sword_type=104}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/bamboo
    execute as @s[scores={wasd.sword_type=105}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/sign
    execute as @s[scores={wasd.sword_type=106}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/moss
    execute as @s[scores={wasd.sword_type=107}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/flower_pot
    execute as @s[scores={wasd.sword_type=108}] positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run function wasd.sword:swords/glow_berry
    execute as @s[scores={wasd.sword_type=109}] run function wasd.sword:swords/carrot

    tag @s remove wasd.attacker
}


dir swords{
dir click_event{
function bread{
    scoreboard players set @s click_cooldown 10

    function wasd.lib:items/damage/mainhand/1
    execute store result score @s wasd.temp run data get entity @s SelectedItem.components."minecraft:damage"
    execute as @s[scores={wasd.temp=13..}] run function wasd.lib:items/damage/break/break


    playsound minecraft:entity.player.burp player @a ~ ~ ~ 1 1
    playsound minecraft:entity.player.burp player @a ~ ~ ~ 1 1
    playsound minecraft:entity.player.burp player @a ~ ~ ~ 1 1
    execute positioned ~ ~1.6 ~ run particle item{item:"bread"} ^ ^ ^0.5 0.2 0.2 0.2 0.05 10
    effect give @s minecraft:saturation 1 0 true
}
function enderman{
    function wasd.lib:affects/enderman_teleport
    scoreboard players set @s click_cooldown 100
    }
}
dir nametag{
    function find_air{
        execute unless block ~ ~ ~ air run tp @s ~ ~ ~
        execute unless block ~ ~ ~ air positioned ~ ~-1 ~ run function wasd.sword:swords/nametag/find_air
    }
    function hit{
        tag @s add wasd.giving_name
        nametag_sword_hit

    }
    function place_sign{
        #transfer name to the villager entity
        summon minecraft:area_effect_cloud ~ 319 ~ {Tags:["wasd.air_detector"]}
        execute as @e[tag=wasd.air_detector] at @s run function wasd.sword:swords/nametag/find_air
        execute at @e[tag=wasd.air_detector] run setblock ~ ~-1 ~ minecraft:acacia_sign{front_text:{messages:['{"selector":"@e[tag=wasd.mob_name,sort=nearest]","separator":" "}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute at @e[tag=wasd.air_detector] run data modify entity @s CustomName set from block ~ ~-1 ~ front_text.messages[0]
        execute at @e[tag=wasd.air_detector] run setblock ~ ~-1 ~ air
        kill @e[tag=wasd.air_detector]
        kill @e[tag=wasd.mob_name]
    }
}



function stop_sounds{
    stopsound @a player minecraft:entity.player.attack.crit
    stopsound @a player minecraft:entity.player.attack.knockback
    stopsound @a player minecraft:entity.player.attack.nodamage
    stopsound @a player minecraft:entity.player.attack.strong
    stopsound @a player minecraft:entity.player.attack.sweep
    stopsound @a player minecraft:entity.player.attack.weak
}
function critical_hit{
function wasd.lib:affects/damage/4_hearts
playsound minecraft:entity.player.attack.crit player @a ~ ~ ~ 10 0.5
particle minecraft:composter ~ ~1 ~ 0.3 0.5 0.3 1 50
}

function cactus{
    function wasd.sword:swords/stop_sounds
    particle falling_dust{block_state:{Name:"minecraft:cactus"}} ~ ~1 ~ 0.3 0.5 0.3 1 50
    playsound minecraft:entity.player.hurt_sweet_berry_bush player @a ~ ~ ~ 1 1.1
}
function chorus{
    function wasd.sword:swords/stop_sounds
    execute store result score @s wasd.rng run random value 1..3
    execute if score @s wasd.rng matches 3 run function wasd.lib:affects/enderman_teleport
}
function claymore{
    function wasd.sword:swords/stop_sounds
    particle block{block_state:{Name:"minecraft:clay"}} ~ ~1 ~ 0.3 0.5 0.3 1 50
    playsound minecraft:block.sand.break player @a ~ ~ ~ 1 2
}
function coal{
    function wasd.sword:swords/stop_sounds
    particle falling_dust{block_state:{Name:"minecraft:coal_block"}} ~ ~1 ~ 0.3 0.5 0.3 1 50
    playsound minecraft:block.wood.break player @a ~ ~ ~ 1 0
    execute if predicate light_level:0-7 if block ~ ~ ~ #wasd.tags:air unless block ~ ~-1 ~ #wasd.tags:nonsolid run setblock ~ ~ ~ torch keep
}
function crystal{
    function wasd.sword:swords/stop_sounds
    scoreboard players operation @s wasd.damage *= 2 wasd.constants
    execute if score @s wasd.damage matches 0 run scoreboard players set @s wasd.damage 1
    execute store result score @s wasd.mob_health run data get entity @s Health 1
    scoreboard players operation @s wasd.mob_health -= @s wasd.damage
    execute if score @s wasd.mob_health matches ..0 run kill @s
    execute unless score @s wasd.mob_health matches ..0 store result entity @s Health float 1 run scoreboard players get @s wasd.mob_health
    playsound minecraft:entity.enderman.teleport player @a ~ ~ ~ 1 1.7
}
function cursed{
    execute store result score @s wasd.rng run random value 1..5
    execute if score @s wasd.rng matches 1 run damage @s 6 minecraft:player_attack by @s
    playsound minecraft:entity.evoker.prepare_attack player @a ~ ~ ~ 0.1 0.2
}
function dolphin{
    effect give @s dolphins_grace 1 0 true
    particle dolphin ~ ~0.5 ~ 0.3 0.3 0.3 0.05 10
}
function egg{
    function wasd.sword:swords/stop_sounds
    playsound minecraft:entity.chicken.egg player @a ~ ~ ~ 2 0.7
    playsound minecraft:entity.chicken.egg player @a ~ ~ ~ 2 0.7
    playsound minecraft:entity.chicken.egg player @a ~ ~ ~ 2 0.7
    summon minecraft:egg ~ ~3 ~

}
function emerald{
    function wasd.sword:swords/stop_sounds
    damage @s 8 minecraft:player_attack by @p[distance=..20]
    playsound minecraft:entity.player.attack.crit player @a ~ ~ ~ 10 0.5
    particle minecraft:composter ~ ~1 ~ 0.3 0.5 0.3 1 50
}
function fish{
    execute store result score @s wasd.rng run random value 1..2
    execute if score @s wasd.rng matches 1 run block{
        function wasd.sword:swords/stop_sounds
        effect give @s minecraft:poison 3 1 false
        playsound minecraft:entity.puffer_fish.sting player @a ~ ~ ~ 1 1
    }
}
function glass{
    function wasd.sword:swords/stop_sounds
    execute store result score @e[type=#wasd.tags:mobs,distance=..10,nbt={HurtTime:10s},limit=1,sort=nearest] wasd.bleed_var run data get entity @s SelectedItem.components.minecraft:damage
    execute as @e[type=#wasd.tags:mobs,distance=..10,nbt={HurtTime:10s},limit=1,sort=nearest] run block{
        tag @s add wasd.bleeding
        tag @s add wasd.lib_entity_tick
        scoreboard players operation @s wasd.bleed_var *= 8 wasd.constants
        scoreboard players operation @s wasd.bleeding += @s wasd.bleed_var
    }
    playsound minecraft:block.glass.break player @a ~ ~ ~ 1 1.6
}
function glowstone{
    function wasd.sword:swords/stop_sounds
    effect give @s minecraft:glowing 10 0 true
    particle minecraft:flash ~ ~1 ~
    playsound minecraft:block.beacon.activate player @a ~ ~ ~ 1 2
}
function honey{
    function wasd.sword:swords/stop_sounds
    scoreboard players set @s honey_slow_timer 1
    playsound minecraft:block.honey_block.break player @a ~ ~ ~ 1 1
    tag @s add wasd.lib_entity_tick

}
function ice{
    function wasd.sword:swords/stop_sounds
    effect give @s minecraft:resistance 3 2 true
    execute unless entity @s[tag=wasd.frozen] run function wasd.lib:affects/on_freeze_quarter
}
function magma{
    execute store result score @s wasd.rng run random value 1..2
    execute if score @s wasd.rng matches 1 run block{
        function wasd.sword:swords/stop_sounds
        playsound minecraft:entity.blaze.shoot player @a ~ ~ ~ 1 1.5
        data merge entity @s {Fire:200s}
        execute as @s[type=minecraft:player] run setblock ~ ~ ~ fire keep
    }
}
function nautilus{
    function wasd.sword:swords/stop_sounds
    damage @s 2 minecraft:player_attack by @p[tag=wasd.attacker,distance=..20]
    playsound minecraft:item.bucket.fill player @a ~ ~ ~ 1 0
    particle minecraft:nautilus ~ ~1 ~ 0.3 0.5 0.3 1 50
}
function notch{
    function wasd.sword:swords/stop_sounds
    tag @s add wasd.gave_apple
    loot spawn ~ ~ ~ loot wasd.sword:notch
    particle dust{color:[1.0, 0.122, 0.122], scale:2.0} ~ ~1 ~ 0.3 0.5 0.3 1 30 normal
    playsound minecraft:entity.player.burp player @a ~ ~ ~ 1 1
}
function obsidian{
    function wasd.sword:swords/stop_sounds
    execute store result score @s wasd.temp run data get entity @s SelectedItem.components."minecraft:damage"
    scoreboard players set @s wasd.temp2 60
    scoreboard players operation @s wasd.temp2 -= @s wasd.temp
    scoreboard players operation @s wasd.temp2 /= 6 wasd.constants

    #use SBIM to put score onto held item
    function wasd.lib:items/inventory/mainhand/inventory_to_box

    execute at @e[tag=wasd.box_location] store result block ~ ~ ~ Items[0].components."minecraft:attribute_modifiers".modifiers[0].amount double 1 run scoreboard players get @s wasd.temp2
    execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory

    playsound minecraft:item.crossbow.shoot player @a ~ ~ ~ 1 0.7
}
function paper{
function wasd.sword:swords/stop_sounds
tag @s add wasd.bleeding
tag @s add wasd.lib_entity_tick
scoreboard players add @s wasd.bleeding 40
playsound minecraft:entity.player.attack.sweep player @a ~ ~ ~ 1 1.5
}
function prismarine{
    function wasd.sword:swords/stop_sounds
    damage @s 8 minecraft:player_attack by @p[distance=..20]
    playsound minecraft:entity.player.attack.crit player @a ~ ~ ~ 10 0.5
    particle minecraft:composter ~ ~1 ~ 0.3 0.5 0.3 1 50
}
function quartz{
    function wasd.sword:swords/stop_sounds
    damage @s 8 minecraft:player_attack by @p[distance=..20]
    playsound minecraft:entity.player.attack.crit player @a ~ ~ ~ 10 0.5
    particle minecraft:composter ~ ~1 ~ 0.3 0.5 0.3 1 50
}

function redstone{
function wasd.sword:swords/stop_sounds

summon minecraft:lightning_bolt
execute as @p[advancements={wasd.sword:deal_damage=true},scores={wasd.sword_type=57}] at @s run effect give @s minecraft:resistance 1 100 true
}
function shulker{
function wasd.sword:swords/stop_sounds
particle minecraft:end_rod ~ ~1 ~ 0.3 0.5 0.3 0.05 30
effect give @s minecraft:levitation 4 1 true

playsound minecraft:entity.shulker_bullet.hit player @a ~ ~ ~ 10 1
}
function slime{
    function wasd.sword:swords/stop_sounds
    particle minecraft:item_slime ~ ~1 ~ 0.3 0.5 0.3 0.05 30
    playsound minecraft:block.slime_block.break player @a ~ ~ ~ 1 0
    tag @s add wasd.slime_launched_sword
    effect give @s minecraft:levitation 1 120 true
}
function dirt{
    function wasd.sword:swords/stop_sounds
    effect give @s minecraft:blindness 5 0 true
    effect give @s[type=#wasd.tags:mobs] minecraft:slowness 5 0 true
    playsound minecraft:block.gravel.break player @a ~ ~ ~ 1 0.5
    particle minecraft:block{block_state:{Name:"minecraft:dirt"}} ~ ~1 ~ 0.3 0.5 0.3 1 50
}
function sticky_piston{
    function wasd.sword:swords/stop_sounds
    particle minecraft:item_slime ~ ~1 ~ 0.3 0.5 0.3 0.05 30
    playsound minecraft:block.slime_block.break player @a ~ ~ ~ 1 1
    execute facing entity @p[advancements={wasd.sword:deal_damage=true},scores={wasd.sword_type=20}] feet positioned ^ ^5 ^10 run function wasd.lib:math/apply_motion
}
function tnt{
    function wasd.sword:swords/stop_sounds
    summon minecraft:creeper ~ ~-1000 ~ {Invulnerable:1b,DeathLootTable:"none",Tags:["wasd.tnt_sword"],Silent:1b,ExplosionRadius:1b,Fuse:0,ignited:1b,CustomName:'{"text":"TNT Sword"}'}
    execute positioned ~ ~-1000 ~ as @e[type=creeper,tag=wasd.tnt_sword,sort=nearest,limit=1] run tp @s ~ ~1001 ~
}
function turtle{
    effect give @s slowness 1 2 true
    effect give @s resistance 1 2 true
}
function sponge{
    function wasd.sword:swords/stop_sounds
    fill ~3 ~1 ~3 ~-3 ~-1 ~-3 air replace #wasd.tags:water_blocks
    playsound minecraft:entity.cod.flop player @a ~ ~ ~ 1 1.6
    playsound minecraft:entity.cod.flop player @a ~ ~ ~ 1 1.6
    playsound minecraft:entity.cod.flop player @a ~ ~ ~ 1 1.6
    playsound minecraft:entity.cod.flop player @a ~ ~ ~ 1 1.6
    playsound minecraft:entity.cod.flop player @a ~ ~ ~ 1 1.6
    playsound minecraft:entity.cod.flop player @a ~ ~ ~ 1 1.6
}
function wet_sponge{
    function wasd.sword:swords/stop_sounds
    execute if entity @s[type=#wasd.tags:hydrophobic] run effect give @s minecraft:instant_damage 1 3 true
    playsound minecraft:block.slime_block.break player @a ~ ~ ~ 1 1.6
    particle minecraft:splash ~ ~1 ~ 0.3 0.5 0.3 1 50
}
function wither{
    effect clear @s
}
function wither_skeleton{
    function wasd.sword:swords/stop_sounds
    particle minecraft:falling_dust{block_state:{Name:"minecraft:gray_concrete"}} ~ ~1 ~ 0.3 0.5 0.3 0.05 30
    playsound minecraft:entity.evoker.cast_spell player @a ~ ~ ~ 1 1.5
    effect give @s minecraft:wither 8 1 false
}
function dripstone{
    function wasd.sword:swords/stop_sounds
    summon armor_stand ~ ~3 ~ {Invulnerable:1b,Invisible:1b,Tags:["wasd.lib_entity_tick","wasd.fake_dripstone","wasd.ability"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:armor_stand",count:1,components:{"minecraft:custom_model_data":6370303}}]}
    playsound block.pointed_dripstone.land player @a ~ ~ ~ 1
    particle minecraft:block{block_state:{Name:"minecraft:dripstone_block"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal

}
function tuff{
    function wasd.sword:swords/stop_sounds
    playsound block.tuff.break player @a ~ ~ ~ 1 1
    playsound block.tuff.break player @a ~ ~ ~ 1 1
    playsound block.tuff.break player @a ~ ~ ~ 1 1
}
function anvil{
    function wasd.sword:swords/stop_sounds
    summon armor_stand ~ ~3 ~ {Invulnerable:1b,Invisible:1b,Tags:["wasd.lib_entity_tick","wasd.fake_anvil","wasd.ability"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:armor_stand",count:1,components:{"minecraft:custom_model_data":6370302}}]}
    playsound block.anvil.place player @a ~ ~ ~ 1
    particle falling_dust{block_state:{Name:"minecraft:anvil"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal
}
function blaze_rod{
    function wasd.sword:swords/stop_sounds
    playsound minecraft:entity.blaze.shoot player @a ~ ~ ~ 1 1.5
    particle flame ~ ~1 ~ 0.2 0.5 0.2 0.05 20 force
}
function copper_tick{
    scoreboard players add @s wasd.copper_time 1
    execute as @s[scores={wasd.copper_time=10..}] run block{
        scoreboard players reset @s wasd.copper_time
        execute as @s[nbt={SelectedItem:{components:{"minecraft:custom_model_data":6370091}}}] run block{
            function wasd.lib:items/inventory/mainhand/inventory_to_box
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_model_data" set value 6370092
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_copper" set value 0b
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_type" set value 83b
            execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
        }
        execute as @s[nbt={SelectedItem:{components:{"minecraft:custom_model_data":6370090}}}] run block{
            function wasd.lib:items/inventory/mainhand/inventory_to_box
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_model_data" set value 6370091
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_type" set value 82b
            execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
        }
        execute as @s[nbt={SelectedItem:{components:{"minecraft:custom_model_data":6370089}}}] run block{
            function wasd.lib:items/inventory/mainhand/inventory_to_box
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_model_data" set value 6370090
            execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_type" set value 81b
            execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
        }
    }
}
function copper1{
    function wasd.sword:swords/stop_sounds
    execute positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run block{
        scoreboard players add @s w.copper_poison 10
        tag @s add wasd.lib_entity_tick
    }
}
function copper2{
    function wasd.sword:swords/stop_sounds
    function wasd.lib:items/inventory/mainhand/inventory_to_box
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_model_data" set value 6370089
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_type" set value 80b
    execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
    execute positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run block{
        scoreboard players add @s w.copper_poison 40
        tag @s add wasd.lib_entity_tick
    }
}
function copper3{
    function wasd.sword:swords/stop_sounds
    function wasd.lib:items/inventory/mainhand/inventory_to_box
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_model_data" set value 6370090
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_type" set value 81b
    execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
    execute positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run block{
        scoreboard players add @s w.copper_poison 80
        tag @s add wasd.lib_entity_tick
    }
}
function copper4{
    function wasd.sword:swords/stop_sounds
    function wasd.lib:items/inventory/mainhand/inventory_to_box
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_model_data" set value 6370091
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_copper" set value 1b
    execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:custom_data"."wasd.sword_type" set value 82b
    execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
    execute positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run block{
        scoreboard players add @s w.copper_poison 120
        tag @s add wasd.lib_entity_tick
    }
}
function amethyst{
    function wasd.sword:swords/stop_sounds
    execute align y run summon armor_stand ~ ~ ~ {Invulnerable:1b,Invisible:1b,Marker:1b,Tags:["wasd.lib_entity_tick","wasd.exploding_amethyst","wasd.ability"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:armor_stand",count:1,components:{"minecraft:custom_model_data":6370305}}]}
    playsound block.amethyst_block.chime player @a ~ ~ ~ 1
    playsound block.amethyst_block.break player @a ~ ~ ~ 1
    playsound block.amethyst_block.break player @a ~ ~ ~ 1
    particle falling_dust{block_state:{Name:"minecraft:amethyst_block"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal
}
function deepslate{
    function wasd.sword:swords/stop_sounds
    execute store result score @s wasd.temp run data get entity @s Pos[1]
    execute positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run block{
        particle falling_dust{block_state:{Name:"minecraft:deepslate"}} ~ ~1 ~ 0.2 0.5 0.2 0 50
        playsound block.deepslate.break player @a ~ ~ ~ 1
    }
    execute as @s[scores={wasd.temp=..0}] run block{
        function wasd.lib:items/inventory/mainhand/inventory_to_box
        execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:attribute_modifiers".modifiers[0].amount set value 7
        execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
    }
    execute as @s[scores={wasd.temp=0..}] run block{
        function wasd.lib:items/inventory/mainhand/inventory_to_box
        execute at @e[tag=wasd.box_location] run data modify block ~ ~ ~ Items[0].components."minecraft:attribute_modifiers".modifiers[0].amount set value 4
        execute at @e[tag=wasd.box_location] run function wasd.lib:items/inventory/mainhand/box_to_inventory
    }
}
function bell{
    function wasd.sword:swords/stop_sounds
    playsound block.bell.use player @a ~ ~ ~ 2
    playsound block.bell.use player @a ~ ~ ~ 2
    playsound block.bell.use player @a ~ ~ ~ 2
    tag @s add wasd.lib_entity_tick
    tag @s[tag=!wasd.generic_stunned] add wasd.generic_stunned
    effect give @s minecraft:resistance 3 2 true
}
function melon{
    function wasd.sword:swords/stop_sounds
    execute positioned ~ ~2 ~ run block{
        particle explosion
        particle minecraft:item{item:"melon_slice"} ~ ~0.1 ~ 0.1 0.1 0.1 0.3 100
        particle minecraft:item{item:"melon"} ~ ~0.1 ~ 0.1 0.1 0.1 0.2 20
        playsound block.slime_block.break player @a ~ ~ ~ 1 2
        playsound block.slime_block.break player @a ~ ~ ~ 1 2
        playsound block.slime_block.break player @a ~ ~ ~ 1 2
        particle falling_dust{block_state:{Name:"minecraft:red_concrete"}} ~ ~1 ~ 0.5 0.5 0.5 1 100 normal
        playsound entity.firework_rocket.blast_far player @a ~ ~ ~ 1 2
    }
    execute as @e[type=#wasd.tags:mobs_player,distance=..1] run damage @s 3 minecraft:player_attack by @p[tag=wasd.attacker,distance=..20]
    execute as @e[type=#wasd.tags:mobs_player,distance=1..3] run damage @s 2 minecraft:player_attack by @p[tag=wasd.attacker,distance=..20]
}
function granite{
    function wasd.sword:swords/stop_sounds
    say granite
}
function andesite{
    function wasd.sword:swords/stop_sounds
    say andesite
}
function sign{
    function wasd.sword:swords/stop_sounds
    playsound block.wood.break player @a ~ ~ ~ 1
    playsound block.wood.break player @a ~ ~ ~ 1
    particle minecraft:block{block_state:{Name:"minecraft:oak_planks"}} ~ ~1 ~ 0.2 0.5 0.2 0 30
    execute unless block ~ ~-0.5 ~ #wasd.tags:air if block ~ ~ ~ #wasd.tags:air run block{
        execute store result score @s wasd.rng run random value 1..11
        execute as @s[scores={wasd.rng=1}] run setblock ~ ~ ~ oak_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=2}] run setblock ~ ~ ~ spruce_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=3}] run setblock ~ ~ ~ birch_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=4}] run setblock ~ ~ ~ jungle_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=5}] run setblock ~ ~ ~ dark_oak_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=6}] run setblock ~ ~ ~ acacia_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=7}] run setblock ~ ~ ~ mangrove_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=8}] run setblock ~ ~ ~ cherry_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=9}] run setblock ~ ~ ~ bamboo_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=10}] run setblock ~ ~ ~ crimson_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
        execute as @s[scores={wasd.rng=11}] run setblock ~ ~ ~ warped_sign{back_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']},front_text:{messages:['{"selector":"@e[sort=nearest,limit=1]"}','{"text":""}','{"text":""}','{"text":""}']}} replace
    }
}
function moss{
    function wasd.sword:swords/stop_sounds
    playsound block.moss.break player @a ~ ~ ~ 1 1
    playsound block.moss.break player @a ~ ~ ~ 1 1
    playsound block.moss.break player @a ~ ~ ~ 1 1
    particle minecraft:spore_blossom_air ~ ~1 ~ 0.1 0.5 0.1 0.2 50
    function wasd.lib:detection/horizontal/fixed/5x5
    execute as @e[tag=wasd.location,limit=1,sort=random] at @s unless block ~ ~-1 ~ #wasd.tags:air if block ~ ~ ~ #wasd.tags:air run setblock ~ ~ ~ moss_carpet
    execute as @e[tag=wasd.location,limit=1,sort=random] at @s unless block ~ ~-1 ~ #wasd.tags:air if block ~ ~ ~ #wasd.tags:air run setblock ~ ~ ~ moss_carpet
    execute as @e[tag=wasd.location,limit=1,sort=random] at @s unless block ~ ~-1 ~ #wasd.tags:air if block ~ ~ ~ #wasd.tags:air run setblock ~ ~ ~ moss_carpet
    execute as @e[tag=wasd.location,limit=1,sort=random] at @s unless block ~ ~-1 ~ #wasd.tags:air if block ~ ~ ~ #wasd.tags:air run setblock ~ ~ ~ moss_carpet
    execute as @e[tag=wasd.location,limit=1,sort=random] at @s unless block ~ ~-1 ~ #wasd.tags:air if block ~ ~ ~ #wasd.tags:air run setblock ~ ~ ~ moss_carpet
    kill @e[tag=wasd.location]
}
function carrot{
    function wasd.sword:swords/stop_sounds
    playsound item.crop.plant player @a ~ ~ ~ 1
    playsound item.crop.plant player @a ~ ~ ~ 1
    playsound item.crop.plant player @a ~ ~ ~ 1
    effect give @s night_vision 10 0 true
    particle block{block_state:{Name:"minecraft:carrots",Properties:{age:"7"}}} ~ ~1.3 ~ 0.2 0.2 0.2 1 10
}
function ender_eye{
    function wasd.sword:swords/stop_sounds
    execute positioned ^ ^ ^3 as @e[type=#wasd.tags:mobs_player,tag=!wasd.attacker,distance=..10,nbt={HurtTime:10s}] at @s run block{
        playsound entity.enderman.hurt player @a ~ ~ ~ 1
        particle reverse_portal ~ ~1 ~ 0.2 0.5 0.2 0.1 20 force
    }
    execute store result score @s wasd.temp run locate structure stronghold
    title @s actionbar [{"text":"Stronghold Distance: [","color":"black"},{"score":{"name":"@s","objective":"wasd.temp"},"color":"dark_purple"},{"text":"]","color":"black"}]
}
function beacon{
    function wasd.sword:swords/stop_sounds
    playsound block.beacon.activate player @a ~ ~ ~ 1
    particle dust{color:[1.0, 1.0, 1.0], scale:2.0} ~ ~0.1 ~ 0.2 0.4 0.2 0 10 normal
    execute store result score @s wasd.rng run random value 1..6
    execute as @s[scores={wasd.rng=1}] run effect give @s speed 17 1 false
    execute as @s[scores={wasd.rng=2}] run effect give @s haste 17 1 false
    execute as @s[scores={wasd.rng=3}] run effect give @s resistance 17 1 false
    execute as @s[scores={wasd.rng=4}] run effect give @s jump_boost 17 1 false
    execute as @s[scores={wasd.rng=5}] run effect give @s strength 17 1 false
    execute as @s[scores={wasd.rng=6}] run effect give @s regeneration 17 0 false
}
function flower_pot{
    function wasd.sword:swords/stop_sounds
    execute unless entity @e[tag=wasd.sword_pot,distance=..0.1] run block{
        summon armor_stand ~ ~ ~ {Invulnerable:1b,Marker:1b,Invisible:1b,Tags:["wasd.lib_entity_tick","wasd.pot_capture","wasd.ability"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:armor_stand",components:{"minecraft:custom_model_data":6370309}}]}
        tag @s add wasd.potted
        playsound block.small_dripleaf.hit player @a ~ ~ ~ 1
        particle falling_dust{block_state:{Name:"minecraft:terracotta"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal
    }
}
function hay_bale{
    function wasd.sword:swords/stop_sounds
    playsound block.crop.break player @a ~ ~ ~ 1
    playsound block.crop.break player @a ~ ~ ~ 1
    execute store result score @s wasd.rng run random value 1..10
    execute as @s[scores={wasd.rng=1}] run block{
        loot spawn ~ ~ ~ loot wasd.sword:hay_bale
        particle block{block_state:{Name:"minecraft:hay_block"}} ~ ~1 ~ 0.3 0.5 0.3 1 20 normal
    }
}
function golden_carrot{
    function wasd.sword:swords/stop_sounds
    playsound item.crop.plant player @a ~ ~ ~ 1
    playsound item.crop.plant player @a ~ ~ ~ 1
    playsound item.crop.plant player @a ~ ~ ~ 1
    effect give @s night_vision 20 0 true
    particle item{item:"golden_carrot"} ~ ~1.3 ~ 0.2 0.2 0.2 0.1 10
}
function bookshelf{
    function wasd.sword:swords/stop_sounds
    execute store result score @s wasd.rng run random value 1..50
    execute as @s[scores={wasd.rng=1}] run block{
        loot spawn ~ ~ ~ loot wasd.sword:enchanted_book
        particle dust{color:[0.906, 1.000, 0.741], scale:3.0} ~ ~1 ~ 0.2 0.5 0.2 1 3 normal
        particle dust{color:[0.506, 0.902, 0.388], scale:3.0} ~ ~1 ~ 0.2 0.5 0.2 1 3 normal
        particle dust{color:[0.769, 0.902, 0.396], scale:3.0} ~ ~1 ~ 0.2 0.5 0.2 1 3 normal
        particle dust{color:[0.420, 0.902, 0.298], scale:3.0} ~ ~1 ~ 0.2 0.5 0.2 1 3 normal
        particle dust{color:[0.937, 1.000, 0.361], scale:3.0} ~ ~1 ~ 0.2 0.5 0.2 1 3 normal
        playsound minecraft:entity.player.levelup player @a ~ ~ ~ 0.2 2
    }
}
function sapling{
    function wasd.sword:swords/stop_sounds
    playsound block.crop.break player @a ~ ~ ~ 1
    playsound block.crop.break player @a ~ ~ ~ 1
    particle happy_villager ~ ~0.5 ~ 0.2 0.3 0.2 0 20
    execute if block ~ ~-0.5 ~ #wasd.tags:plant_soil if block ~ ~ ~ #wasd.tags:air run block{
        execute store result score @s wasd.rng run random value 1..8
        execute as @s[scores={wasd.rng=1}] run setblock ~ ~ ~ oak_sapling
        execute as @s[scores={wasd.rng=2}] run setblock ~ ~ ~ spruce_sapling
        execute as @s[scores={wasd.rng=3}] run setblock ~ ~ ~ birch_sapling
        execute as @s[scores={wasd.rng=4}] run setblock ~ ~ ~ jungle_sapling
        execute as @s[scores={wasd.rng=5}] run setblock ~ ~ ~ dark_oak_sapling
        execute as @s[scores={wasd.rng=6}] run setblock ~ ~ ~ acacia_sapling
        execute as @s[scores={wasd.rng=7}] run setblock ~ ~ ~ mangrove_propagule
        execute as @s[scores={wasd.rng=8}] run setblock ~ ~ ~ cherry_sapling
    }
}
function cobweb{
    function wasd.sword:swords/stop_sounds
    playsound block.slime_block.break player @a ~ ~ ~ 1 1.7
    scoreboard players set @s w.cobweb_timer 140
    tag @s add wasd.lib_entity_tick
}
function glass_pain{
    function wasd.sword:swords/stop_sounds
    playsound minecraft:block.glass.break player @a ~ ~ ~ 1 1.6
}
function coral{
    function wasd.sword:swords/stop_sounds    
    effect give @s minecraft:regeneration 1 2 true
    particle dust{color:[0.941, 0.188, 0.776], scale:2.0} ~ ~0.3 ~ 0.3 0.3 0.3 0 5
}

function coral_hit{
    function wasd.sword:swords/stop_sounds    
    playsound minecraft:block.coral_block.break player @a ~ ~ ~ 1
    effect give @s minecraft:regeneration 1 2 true
    particle dust{color:[0.941, 0.188, 0.776], scale:2.0} ~ ~0.3 ~ 0.3 0.3 0.3 0 5
}

function netherrack{
    function wasd.sword:swords/stop_sounds
    execute store result score @s wasd.rng run random value 1..30
    execute as @s[scores={wasd.rng=1}] run block{
        loot spawn ~ ~ ~ loot wasd.sword:netherrack
        particle falling_dust{block_state:{Name:"minecraft:netherrack"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal
        playsound minecraft:block.netherrack.break player @a ~ ~ ~ 1
        playsound minecraft:block.netherrack.break player @a ~ ~ ~ 1
        playsound minecraft:block.netherrack.break player @a ~ ~ ~ 1
    }
}
function diorite{
    effect give @s poison 10 0 false
    effect give @s nausea 15 0 true
}
function chain{
    function wasd.sword:swords/stop_sounds
    execute unless entity @e[tag=wasd.sword_chain,distance=..0.1] run block{
        summon armor_stand ~ ~ ~ {Invulnerable:1b,Marker:1b,Invisible:1b,Tags:["wasd.lib_entity_tick","wasd.chain_capture","wasd.ability"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:armor_stand",count:1,components:{"minecraft:custom_model_data":6370304}}]}
        tag @s add wasd.chained
        playsound block.chain.break player @a ~ ~ ~ 1
        particle falling_dust{block_state:{Name:"minecraft:chain"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal
    }
}
function glow_berry{
    function wasd.sword:swords/stop_sounds
    effect give @s minecraft:glowing 5 0 true
    particle minecraft:dust{color:[1.0, 0.894, 0.286], scale:2.0} ~ ~1 ~ 0.3 0.5 0.3 0 10 normal
    playsound minecraft:block.beacon.activate player @a ~ ~ ~ 1 2
}
function end_stone{
    execute store result score @s wasd.rng run random value 1..6
    execute as @s[scores={wasd.rng=1}] run block{
        function wasd.sword:swords/stop_sounds
        particle minecraft:end_rod ~ ~1 ~ 0.3 0.5 0.3 0.05 30
        effect give @s minecraft:levitation 4 1 true
        playsound minecraft:entity.shulker_bullet.hit player @a ~ ~ ~ 10 1
    }
    execute as @s[scores={wasd.rng=2}] run block{
        function wasd.sword:swords/stop_sounds
        function wasd.lib:affects/enderman_teleport
    }
}
function conduit{
    function wasd.sword:swords/stop_sounds
    particle nautilus ~ ~1 ~ 0.1 0.1 0.1 2 50
    execute as @e[type=#wasd.tags:mobs,tag=!wasd.attacker,distance=..7] at @s if block ~ ~ ~ #wasd.tags:water_blocks run block{
        particle nautilus ~ ~1 ~ 0.1 0.1 0.1 2 50
        damage @s 4 minecraft:player_attack by @p[tag=wasd.attacker,distance=..20]
    }
}
function pumpkin{
    function wasd.sword:swords/stop_sounds
    execute if entity @s[type=#wasd.tags:can_render_helmet] unless entity @s[type=minecraft:player] unless data entity @s ArmorItems[3].id run block{
        item replace entity @s armor.head with carved_pumpkin
        particle falling_dust{block_state:{Name:"minecraft:pumpkin"}} ~ ~1 ~ 0.2 0.5 0.2 0 60
        playsound block.pumpkin.carve player @a ~ ~ ~ 1
        playsound block.pumpkin.carve player @a ~ ~ ~ 1
    }
    execute if entity @s[type=player] unless entity @s[nbt={Inventory:[{Slot:103b}]}] run block{
        item replace entity @s armor.head with carved_pumpkin
        particle falling_dust{block_state:{Name:"minecraft:pumpkin"}} ~ ~1 ~ 0.2 0.5 0.2 0 60
        playsound block.pumpkin.carve player @a ~ ~ ~ 1
        playsound block.pumpkin.carve player @a ~ ~ ~ 1
    }
}
function brick{
    function wasd.sword:swords/stop_sounds
    playsound block.deepslate_bricks.break player @a ~ ~ ~ 1
    playsound block.deepslate_bricks.break player @a ~ ~ ~ 1
    playsound block.deepslate_bricks.break player @a ~ ~ ~ 1
    tag @s add wasd.lib_entity_tick
    tag @s[tag=!wasd.generic_stunned] add wasd.generic_stunned
    effect give @s minecraft:resistance 3 2 true
}
function potato{
    function wasd.sword:swords/stop_sounds
    particle falling_dust{block_state:{Name:"minecraft:sand"}} ~ ~1 ~ 0.2 0.5 0.2 1 20 normal
    particle falling_dust{block_state:{Name:"minecraft:dripstone_block"}} ~ ~1 ~ 0.2 0.5 0.2 1 20 normal
    playsound minecraft:block.crop.break player @a ~ ~ ~ 1
    playsound minecraft:block.crop.break player @a ~ ~ ~ 1
    playsound minecraft:block.crop.break player @a ~ ~ ~ 1
    execute as @s[tag=!wasd.dropped_potato] run block{
        tag @s add wasd.dropped_potato
        loot spawn ~ ~ ~ loot wasd.sword:potato
    }
}
function sand{
    function wasd.sword:swords/stop_sounds
    playsound block.sand.break player @a ~ ~ ~ 1
    playsound block.sand.break player @a ~ ~ ~ 1
    playsound block.sand.break player @a ~ ~ ~ 1
    particle minecraft:falling_dust{block_state:{Name:"minecraft:sand"}} ~ ~1 ~ 0.3 0.5 0.3 0 30
    execute if block ~ ~-0.7 ~ #minecraft:sand run tp @s ~ ~-0.7 ~
}
function note_block{
    function wasd.sword:swords/stop_sounds
    particle note ~ ~2.2 ~ 0 0 0 1 1 normal
    execute store result score @s wasd.rng run random value 1..16
    execute as @s[scores={wasd.rng=16}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 2.0
    execute as @s[scores={wasd.rng=15}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.9
    execute as @s[scores={wasd.rng=14}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.8
    execute as @s[scores={wasd.rng=13}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.7
    execute as @s[scores={wasd.rng=12}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.6
    execute as @s[scores={wasd.rng=11}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.5
    execute as @s[scores={wasd.rng=10}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.4
    execute as @s[scores={wasd.rng=9}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.3
    execute as @s[scores={wasd.rng=8}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.2
    execute as @s[scores={wasd.rng=7}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.1
    execute as @s[scores={wasd.rng=6}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 1.0
    execute as @s[scores={wasd.rng=5}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 0.9
    execute as @s[scores={wasd.rng=4}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 0.8
    execute as @s[scores={wasd.rng=3}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 0.7
    execute as @s[scores={wasd.rng=2}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 0.6
    execute as @s[scores={wasd.rng=1}] run playsound minecraft:block.note_block.chime player @a ~ ~ ~ 1 0.5
}
function sea_pickle{
    function wasd.sword:swords/stop_sounds
    execute if block ~ ~ ~ #wasd.tags:air unless block ~ ~-1 ~ #wasd.tags:nonsolid run block{
        particle minecraft:sneeze ~ ~0.3 ~ 0.1 0.1 0.1 0.1 20
        playsound block.slime_block.break player @a ~ ~ ~ 1
        execute store result score @s wasd.rng run random value 1..4
        execute as @s[scores={wasd.rng=1}] run setblock ~ ~ ~ sea_pickle[waterlogged=false,pickles=1]
        execute as @s[scores={wasd.rng=2}] run setblock ~ ~ ~ sea_pickle[waterlogged=false,pickles=2]
        execute as @s[scores={wasd.rng=3}] run setblock ~ ~ ~ sea_pickle[waterlogged=false,pickles=3]
        execute as @s[scores={wasd.rng=4}] run setblock ~ ~ ~ sea_pickle[waterlogged=false,pickles=4]
    }
    execute if block ~ ~ ~ water unless block ~ ~-1 ~ #wasd.tags:nonsolid run block{
        particle minecraft:sneeze ~ ~0.3 ~ 0.1 0.1 0.1 0.1 20
        playsound block.slime_block.break player @a ~ ~ ~ 1
        execute store result score @s wasd.rng run random value 1..4
        execute as @s[scores={wasd.rng=1}] run setblock ~ ~ ~ sea_pickle[waterlogged=true,pickles=1]
        execute as @s[scores={wasd.rng=2}] run setblock ~ ~ ~ sea_pickle[waterlogged=true,pickles=2]
        execute as @s[scores={wasd.rng=3}] run setblock ~ ~ ~ sea_pickle[waterlogged=true,pickles=3]
        execute as @s[scores={wasd.rng=4}] run setblock ~ ~ ~ sea_pickle[waterlogged=true,pickles=4]
    }
}
function snow{
    function wasd.sword:swords/stop_sounds
    effect give @s minecraft:resistance 3 2 true
    execute unless entity @s[tag=wasd.frozen] run block{
        execute unless entity @s[tag=ice_immune] run tag @s add wasd.frozen
        playsound minecraft:zelda.frozen_start player @a ~ ~ ~ 1 1
        scoreboard players set @s frozen_timer 180
        data merge entity @s {NoAI:1b}
        tag @s add wasd.lib_entity_tick
    }
}
function mycelium{
    function wasd.sword:swords/stop_sounds
    playsound minecraft:block.stem.break player @a ~ ~ ~ 1 1
    playsound minecraft:block.stem.break player @a ~ ~ ~ 1 1
    playsound minecraft:block.stem.break player @a ~ ~ ~ 1 1
    execute store result score @s wasd.rng run random value 1..5
    execute as @s[scores={wasd.rng=1}] run block{
        effect give @s nausea 10 0 false
        particle mycelium ~ ~1 ~ 0.3 0.5 0.3 1 100 normal
    }
}
function bamboo{
    function wasd.sword:swords/stop_sounds
    summon item_display ~ ~-2 ~ {item_display:"head",brightness:{sky:10,block:15},Tags:["wasd.lib_entity_tick","wasd.ability","wasd.bamboo_spike"],teleport_duration:40,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.6f,0.6f,0.6f]},item:{id:"minecraft:armor_stand",count:1,components:{"minecraft:custom_model_data":6370301}}}
    playsound block.bamboo.break player @a ~ ~ ~ 1
    particle minecraft:block{block_state:{Name:"minecraft:bamboo"}} ~ ~1 ~ 0.2 0.5 0.2 1 10 normal
}
}
